summaryrefslogtreecommitdiffstats
path: root/source/xap/fluxbox
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/fluxbox')
-rwxr-xr-xsource/xap/fluxbox/fluxbox.SlackBuild25
-rw-r--r--source/xap/fluxbox/fluxbox.keys.diff13
-rw-r--r--source/xap/fluxbox/slack-desc6
3 files changed, 34 insertions, 10 deletions
diff --git a/source/xap/fluxbox/fluxbox.SlackBuild b/source/xap/fluxbox/fluxbox.SlackBuild
index 07b5e0cec..4ad687e93 100755
--- a/source/xap/fluxbox/fluxbox.SlackBuild
+++ b/source/xap/fluxbox/fluxbox.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,25 +20,34 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=fluxbox
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-" -j7 "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -51,7 +60,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-fluxbox
@@ -72,6 +80,9 @@ find . \
# Make sure that dbus-launch is started for the session:
zcat $CWD/fluxbox.startfluxbox.dbus.diff.gz | patch -p1 --verbose || exit 1
+# Fix multimedia volume keys:
+zcat $CWD/fluxbox.keys.diff.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
diff --git a/source/xap/fluxbox/fluxbox.keys.diff b/source/xap/fluxbox/fluxbox.keys.diff
new file mode 100644
index 000000000..62860adc6
--- /dev/null
+++ b/source/xap/fluxbox/fluxbox.keys.diff
@@ -0,0 +1,13 @@
+--- ./data/keys.orig 2015-02-08 04:44:45.333187008 -0600
++++ ./data/keys 2017-06-09 13:25:14.558517846 -0500
+@@ -65,8 +65,8 @@
+
+ # volume settings, using common keycodes
+ # if these don't work, use xev to find out your real keycodes
+-176 :Exec amixer sset Master,0 1+
+-174 :Exec amixer sset Master,0 1-
++176 :Exec amixer sset Master,0 5%+
++174 :Exec amixer sset Master,0 5%-
+ 160 :Exec amixer sset Master,0 toggle
+
+ # current window commands
diff --git a/source/xap/fluxbox/slack-desc b/source/xap/fluxbox/slack-desc
index e1bb595cb..6da8d87ee 100644
--- a/source/xap/fluxbox/slack-desc
+++ b/source/xap/fluxbox/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|